name: linuxserver-diskover
services:
  app:
    image: linuxserver/diskover:2.3.4
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      ES_HOST: ''
      ES_PORT: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: ES_HOST
          description:
            en_us: ElasticSearch host (optional)
        - container: ES_PORT
          description:
            en_us: ElasticSearch port (optional)
    ports:
      - target: 80
        published: 80
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/diskover/config
        target: /config
      - type: bind
        source: /srv/lsio/diskover/data
        target: /data
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Diskover is an open source file system indexer that uses Elasticsearch to index and manage data across heterogeneous storage systems.
  tagline:
    en_us: An open source file system indexer that uses Elasticsearch to index and manage data across heterogeneous storage systems.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/diskoverdata/diskover-community/master/diskover-web/public/images/diskover.png
  thumbnail: https://raw.githubusercontent.com/diskoverdata/diskover-community/master/diskover-web/public/images/diskover.png
  title:
    en_us: Diskover
  category: LinuxServer.io
  port_map: '80'
